package com.jojubanking.boot.module.system.service.mzjf;

import java.text.ParseException;
import java.util.*;
import javax.validation.*;
import com.jojubanking.boot.module.system.controller.admin.mzjf.vo.*;
import com.jojubanking.boot.module.system.dal.dataobject.mzjf.MzjfDO;
import com.jojubanking.boot.framework.common.pojo.PageResult;

/**
 * 门诊缴费 Service 接口
 *
 * @author admin
 */
public interface MzjfService {

    /**
     * 创建门诊缴费
     *
     * @param createReqVO 创建信息
     * @return 编号
     */
    Integer createMzjf(@Valid MzjfCreateReqVO createReqVO);

    /**
     * 更新门诊缴费
     *
     * @param updateReqVO 更新信息
     */
    void updateMzjf(@Valid MzjfUpdateReqVO updateReqVO);

    /**
     * 删除门诊缴费
     *
     * @param id 编号
     */
    void deleteMzjf(Integer id);

    /**
     * 获得门诊缴费
     *
     * @param id 编号
     * @return 门诊缴费
     */
    MzjfDO getMzjf(Integer id);

    /**
     * 获得门诊缴费列表
     *
     * @param ids 编号
     * @return 门诊缴费列表
     */
    List<MzjfDO> getMzjfList(Collection<Integer> ids);

    /**
     * 获得门诊缴费分页
     *
     * @param pageReqVO 分页查询
     * @return 门诊缴费分页
     */
    PageResult<MzjfDO> getMzjfPage(MzjfPageReqVO pageReqVO) throws ParseException;

    /**
     * 获得门诊缴费列表, 用于 Excel 导出
     *
     * @param exportReqVO 查询条件
     * @return 门诊缴费列表
     */
    List<MzjfDO> getMzjfList(MzjfExportReqVO exportReqVO);

}
